server:
  port: 9088

spring:
  servlet:
    multipart:
      max-request-size: 1024MB
      max-file-size: 100MB
  datasource:
    url: jdbc:mysql://114.116.44.11:3306/knowledge?useUnicode=true&characterEncoding=utf-8&AllowPublicKeyRetrieval=True&serverTimezone=Asia/Shanghai&autoReconnect=true&rewriteBatchedStatements=true
    username: ciglobal
    password: qwer@9988&zzsn
  elasticsearch:
    rest:
      uris: ["114.116.90.53:9200"]
      username: elastic
      password: elastic
  cloud:
    stream:
      kafka:
        binder:
          brokers: 114.115.159.144:9092
          zkNodes: 114.115.159.144:2181
          requiredAcks: 1
  redis:
    database: 0
    host: 114.115.236.206
    lettuce:
      pool:
        max-active: 8   #最大连接数据库连接数,设 0 为没有限制
        max-idle: 8     #最大等待连接中的数量,设 0 为没有限制
        max-wait: -1ms  #最大建立连接等待时间。如果超过此时间将接到异常。设为-1表示无限制。
        min-idle: 0     #最小等待连接中的数量,设 0 为没有限制
      shutdown-timeout: 100ms
    port: 6379
    password: clbzzsn

  thymeleaf:
    prefix: classpath:/templates

mybatis-plus:
  mapper-locations: classpath*:com/zzsn/knowbase/mapper/xml/*Mapper.xml
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    map-underscore-to-camel-case: true
python:
  intelligentQaUrl: http://116.63.179.212:7862/platform/chat
  searchUrl: http://116.63.179.212:7862/platform/searchInfo
  deleteUrl: http://114.115.172.99:10013/platform/delete

know:
  thirdpartyurl:
    checkuserurl: http://114.115.236.206:9988/sys/checkToken
    getusersurl: http://114.115.236.206:9988/sys/user/thirdparty

document:
  server:
    host: http://192.168.1.146:9088
files:
  storage: C:/know/
  docservice:
    url:
      site: http://192.168.1.216:80/
      converter: ConvertService.ashx
      command: coauthoring/CommandService.ashx
      api: web-apps/apps/api/documents/api.js
      preloader: web-apps/apps/api/documents/cache-scripts.html
    fillforms-docs: .docx|.oform
    viewed-docs: .djvu|.oxps|.pdf|.xps
    edited-docs: .csv|.docm|.docx|.docxf|.dotm|.dotx|.epub|.fb2|.html|.odp|.ods|.odt|.otp|.ots|.ott|.potm|.potx|.ppsm|.ppsx|.pptm|.pptx|.rtf|.txt|.xlsm|.xlsx|.xltm|.xltx
    convert-docs: .doc|.dot|.dps|.dpt|.epub|.et|.ett|.fb2|.fodp|.fods|.fodt|.htm|.html|.mht|.mhtml|.odp|.ods|.odt|.otp|.ots|.ott|.pot|.pps|.ppt|.rtf|.stw|.sxc|.sxi|.sxw|.wps|.wpt|.xls|.xlsb|.xlt|.xml
    timeout: 120000
    history:
      postfix: -hist
filesize-max: 5242880
